Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 11-15-06, 12:28 PM   #13
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Twinview fails + missing 'wfb' module

wfb = wrappable framebuffer

purge your current xorg.conf and simply run:
nvidia-xconfig -a --twinview

If the problem persists, I'd like to see a new bug report.

Thanks,
Lonni
netllama is offline   Reply With Quote
Old 11-15-06, 04:05 PM   #14
AaronP
NVIDIA Corporation
 
AaronP's Avatar
 
Join Date: Mar 2005
Posts: 2,487
Default Re: Twinview fails + missing 'wfb' module

The wfb module is only needed for the GeForce 8800 cards. If you don't have a GeForce 8800 it's not a fatal warning, though it does indicate that the driver install is incomplete.
AaronP is offline   Reply With Quote
Old 11-16-06, 07:29 AM   #15
MonkFish
Registered User
 
Join Date: Apr 2006
Posts: 27
Default Re: Twinview fails + missing 'wfb' module

I've generated a new xorg.conf with nvidia-xconfig --twinview (if I append the -a switch, nvidia-xconfig crashes with a libnvidia-cfg.so not found error ...).

The same problem is exhibited: 1280x1024 on DFP-0 and 1600x1200 on DFP-1 where they should both be 1600x1200.

Attached is the nvidia-bug-report.log file.

Thanks!
Attached Files
File Type: log nvidia-bug-report.log (131.2 KB, 100 views)
MonkFish is offline   Reply With Quote
Old 11-16-06, 08:28 AM   #16
Cambo
Registered User
 
Join Date: Mar 2004
Location: UK
Posts: 128
Send a message via Yahoo to Cambo
Default Re: Twinview fails + missing 'wfb' module

Quote:
if I append the -a switch, nvidia-xconfig crashes with a libnvidia-cfg.so not found error ...
That would seem to indicate that your drivers have not been installed properly. In /usr/lib, I have;

Code:
lrwxrwxrwx 1 root root     18 2006-11-09 15:24 libnvidia-cfg.so -> libnvidia-cfg.so.1
lrwxrwxrwx 1 root root     25 2006-11-09 15:24 libnvidia-cfg.so.1 -> libnvidia-cfg.so.1.0.9742
-rwxr-xr-x 1 root root 107396 2006-11-09 15:24 libnvidia-cfg.so.1.0.9742


Cambo
Cambo is offline   Reply With Quote
Old 11-16-06, 12:01 PM   #17
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Twinview fails + missing 'wfb' module

Indeed, if libnvidia-cfg.so isn't found, then your driver isn't correctly installed. That needs to be resolved.

Thanks,
Lonni
netllama is offline   Reply With Quote
Old 11-16-06, 06:22 PM   #18
MonkFish
Registered User
 
Join Date: Apr 2006
Posts: 27
Default Re: Twinview fails + missing 'wfb' module

Hi

Upon fgrep -iR cfg * in /usr/portage/x11-drivers/nvidia-drivers ... (Gentoo, of course) I cannot locate any build specs for nvidia-cfg ...

Does anyone have any idea where the emerge build for this library may exist?

TIA
MonkFish is offline   Reply With Quote
Old 11-16-06, 06:27 PM   #19
Cambo
Registered User
 
Join Date: Mar 2004
Location: UK
Posts: 128
Send a message via Yahoo to Cambo
Default Re: Twinview fails + missing 'wfb' module

The library is installed by the Nvidia driver installation script - ie;

./NVIDIA-Linux-x86-1.0-9629-pkg1.run



Cambo
Cambo is offline   Reply With Quote
Old 11-16-06, 06:44 PM   #20
MonkFish
Registered User
 
Join Date: Apr 2006
Posts: 27
Default Re: Twinview fails + missing 'wfb' module

The Gentoo ebuilds seem to run *pkg0.run, not *pkg1.run

Is this significant?
MonkFish is offline   Reply With Quote

Old 11-16-06, 06:50 PM   #21
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Twinview fails + missing 'wfb' module

Yes, that's significant, and is not the correct package to install for the majority of people.

x86 should always install the '1' package, and x86_64 should usually install the '2' package (to get the 32bit compatibility libraries), or the '1' package if they do not want 32bit compat libs.

No one should install the '0' package unless they've got a good reason for doing so.
netllama is offline   Reply With Quote
Old 11-16-06, 06:54 PM   #22
Cambo
Registered User
 
Join Date: Mar 2004
Location: UK
Posts: 128
Send a message via Yahoo to Cambo
Default Re: Twinview fails + missing 'wfb' module

Quote:
Originally Posted by netllama
Yes, that's significant, and is not the correct package to install for the majority of people.

x86 should always install the '1' package, and x86_64 should usually install the '2' package (to get the 32bit compatibility libraries), or the '1' package if they do not want 32bit compat libs.

No one should install the '0' package unless they've got a good reason for doing so.

Hmm. Might be worth someone giving the Gentoo guys a nudge about that one. Don't want to get a flood of them over here complaining about there ebuild-packaged driver not working right ;-)



Cambo
Cambo is offline   Reply With Quote
Old 11-16-06, 07:04 PM   #23
MonkFish
Registered User
 
Join Date: Apr 2006
Posts: 27
Default Re: Twinview fails + missing 'wfb' module

OK, I changed the ebuild to install from 9742-pkg1 rather than 9742-pkg0

No difference ... no libnvidia-cfg.so either. Sigh.

EDIT: Turns out there is a post in Gentoo forum regarding modifying pkg0 to pkg1 ... but no-one's modded the ebuild yet.
MonkFish is offline   Reply With Quote
Old 11-16-06, 07:15 PM   #24
Cambo
Registered User
 
Join Date: Mar 2004
Location: UK
Posts: 128
Send a message via Yahoo to Cambo
Default Re: Twinview fails + missing 'wfb' module

Personally, I would try downloading the driver from the Nvidia website, and running the install from that. OK, it might mean that it's then outside your normal install system, but it cuts down on an extra layer of complexity in getting it installed and working.



Cambo
Cambo is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
Glx mrbig1344 NVIDIA Linux 7 09-30-02 06:45 AM
Error messages... HELP!!!! Imperito NVIDIA Linux 3 09-24-02 10:46 PM
GForce drivers installed...but dont work tomfullery NVIDIA Linux 6 09-22-02 08:23 AM
Need help to get the X to work on my Acer TravelMate 630 knchee NVIDIA Linux 16 09-19-02 10:16 PM

All times are GMT -5. The time now is 02:15 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.